function f_okam(F0,vykreslovani,vypis,handles)

[M,N]=size(F0);

% % provedu samotne vykresleni

index=find(F0(1,:)>ones(1,N));
index2=find(F0(3,:)==ones(1,N));
if vykreslovani==0 %vykreslovani v nahledu
    plot(handles.axes1,F0(2,index)/60,F0(1,index),'*k','HitTest','off');
    set(handles.axes1,'YLim',[0 500])
    hold on
    plot(handles.axes1,F0(2,index2)/60,F0(1,index2),'*r','HitTest','off');
    hold off
else %vykreslovani v samostatnem okne
    plot(F0(2,index)/60,F0(1,index),'*k');
    hold on
    plot(F0(2,index2)/60,F0(1,index2),'*r');
    hold off
end

if vypis==1
    vys='';
    vys_string='';
    
    index2=find(F0(3,:)==ones(1,N));
    d=diff(index2);
    
    if max(size(index2))> 1
        d(length(index2))=100;
        pred=index2(1);
        for j=1:length(d)
            if d(j)>30
                vys=strvcat(['Výz. ok. od: ', num2str(fix(F0(2,pred)/60)), ':' ...
                    num2str(fix(F0(2,pred)-fix(F0(2,pred)/60)*60)), ' (s) do: ', num2str(fix(F0(2,index2(j))/60)), ':' ...
                    num2str(fix(F0(2,index2(j))-fix(F0(2,index2(j))/60)*60)) ' (s)'],vys);
                if j~=length(d)
                    pred=index2(j+1);
                end
            end
        end
    end
    vys=strvcat([' '],vys);
    if isempty(get(handles.listbox2,'String'))~=1
        vys1=get(handles.listbox2,'String');
        [M N]=size(vys1);
        for i=1:M
            vys_string=strvcat(vys1(i,:),vys_string);
        end
        vys1=strvcat(vys,vys_string);
    else
        vys1=vys;
    end
    
    [M N]=size(vys1);
    vys_string='';
    for i=1:M
        vys_string=strvcat(vys1(i,:),vys_string);
    end
    set(handles.listbox2,'String',vys_string);
    
end



% save('F0','F0')





% dodělat hymnu detekce konce hymny ˇ+ zacatek
% energii vykreslit
% detekci velké změny zakladního tonu diff
% pripravit se pro rozpoznani komentatora












% % zde bude provedena detekce základního tonu a vyhodnocení průměrného
% % základního tonu.
% % definice zakladnich parametru
% NN=512;
% prekryv=NN/2;     %definuje se v poctech vzorku
%
% % segmentace signalu
% if(prekryv==NN)
%     f=enframe(y,hanning(NN))';
% else
%     f=enframe(y,hanning(NN),prekryv)';       %vstup je signal velikost okna je 2048 a 1024 je prekryv
% end
% % detekce zakladniho tonu reci
% [R0 N]=size(f);
%
% zn=zeros(1,N);
% F0=zeros(1,N);
% % definice "lagu" tj zakladni perioda ve vzorcich
%
% Lmin=fix(fs/600);
% Lmax=fix(fs/80);
%
% for i=1:N
%     R=xcorr(f(:,i));
%     R=R(R0+Lmin:R0+Lmax);
%     Rk=find(R==max(R))+Lmin;
%     F0(i)=fs/Rk;
% end
% % konec urceni zakladniho tonu reci
% % % % % % % % % % % % % % % % % % % % % % % % % % %
% % stanoveni zmelosti a neznelosti hlasek a energie
% % 1.stanovení energie
%
% E=sum(f.^2)/R0;
% m=(mean(E)+median(E))/2;  %aritmeticky prumer stredni hodnoty medianu pro dany usek zapasu
% indexy=find(E>ones(1,N)*m);
% zn(indexy)=1;
% F0=F0.*zn;
%
%
